/[debian]/bti/branches/upstream/current/Makefile.in
ViewVC logotype

Contents of /bti/branches/upstream/current/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 2449 - (show annotations)
Fri Mar 18 11:13:50 2011 UTC (9 years, 7 months ago) by gregoa
File size: 30011 byte(s)
[svn-upgrade] new version bti (030)
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = bti$(EXEEXT)
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
39 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40 $(top_srcdir)/configure COPYING ChangeLog depcomp install-sh \
41 missing
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_CLEAN_FILES =
50 CONFIG_CLEAN_VPATH_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
52 "$(DESTDIR)$(man1dir)"
53 PROGRAMS = $(bin_PROGRAMS)
54 am_bti_OBJECTS = bti-config.$(OBJEXT) bti-bti.$(OBJEXT)
55 bti_OBJECTS = $(am_bti_OBJECTS)
56 am__DEPENDENCIES_1 =
57 bti_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
58 $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
59 bti_LINK = $(CCLD) $(bti_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o \
60 $@
61 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
62 am__vpath_adj = case $$p in \
63 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
64 *) f=$$p;; \
65 esac;
66 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
67 am__install_max = 40
68 am__nobase_strip_setup = \
69 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
70 am__nobase_strip = \
71 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
72 am__nobase_list = $(am__nobase_strip_setup); \
73 for p in $$list; do echo "$$p $$p"; done | \
74 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
75 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
76 if (++n[$$2] == $(am__install_max)) \
77 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
78 END { for (dir in files) print dir, files[dir] }'
79 am__base_list = \
80 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
81 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
82 SCRIPTS = $(bin_SCRIPTS)
83 DEFAULT_INCLUDES = -I.@am__isrc@
84 depcomp = $(SHELL) $(top_srcdir)/depcomp
85 am__depfiles_maybe = depfiles
86 am__mv = mv -f
87 AM_V_lt = $(am__v_lt_$(V))
88 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
89 am__v_lt_0 = --silent
90 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
91 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
92 AM_V_CC = $(am__v_CC_$(V))
93 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
94 am__v_CC_0 = @echo " CC " $@;
95 AM_V_at = $(am__v_at_$(V))
96 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
97 am__v_at_0 = @
98 CCLD = $(CC)
99 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
100 AM_V_CCLD = $(am__v_CCLD_$(V))
101 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
102 am__v_CCLD_0 = @echo " CCLD " $@;
103 AM_V_GEN = $(am__v_GEN_$(V))
104 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
105 am__v_GEN_0 = @echo " GEN " $@;
106 SOURCES = $(bti_SOURCES)
107 DIST_SOURCES = $(bti_SOURCES)
108 man1dir = $(mandir)/man1
109 NROFF = nroff
110 MANS = $(dist_man_MANS)
111 ETAGS = etags
112 CTAGS = ctags
113 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
114 distdir = $(PACKAGE)-$(VERSION)
115 top_distdir = $(distdir)
116 am__remove_distdir = \
117 { test ! -d "$(distdir)" \
118 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
119 && rm -fr "$(distdir)"; }; }
120 DIST_ARCHIVES = $(distdir).tar.gz
121 GZIP_ENV = --best
122 distuninstallcheck_listfiles = find . -type f -print
123 distcleancheck_listfiles = find . -type f -print
124 ACLOCAL = @ACLOCAL@
125 AMTAR = @AMTAR@
126 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
127 AUTOCONF = @AUTOCONF@
128 AUTOHEADER = @AUTOHEADER@
129 AUTOMAKE = @AUTOMAKE@
130 AWK = @AWK@
131 CC = @CC@
132 CCDEPMODE = @CCDEPMODE@
133 CFLAGS = @CFLAGS@
134 CPPFLAGS = @CPPFLAGS@
135 CYGPATH_W = @CYGPATH_W@
136 DEFS = @DEFS@
137 DEPDIR = @DEPDIR@
138 ECHO_C = @ECHO_C@
139 ECHO_N = @ECHO_N@
140 ECHO_T = @ECHO_T@
141 EXEEXT = @EXEEXT@
142 INSTALL = @INSTALL@
143 INSTALL_DATA = @INSTALL_DATA@
144 INSTALL_PROGRAM = @INSTALL_PROGRAM@
145 INSTALL_SCRIPT = @INSTALL_SCRIPT@
146 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
147 LDFLAGS = @LDFLAGS@
148 LIBCURL_CFLAGS = @LIBCURL_CFLAGS@
149 LIBCURL_LIBS = @LIBCURL_LIBS@
150 LIBOAUTH_CFLAGS = @LIBOAUTH_CFLAGS@
151 LIBOAUTH_LIBS = @LIBOAUTH_LIBS@
152 LIBOBJS = @LIBOBJS@
153 LIBPCRE_CFLAGS = @LIBPCRE_CFLAGS@
154 LIBPCRE_LIBS = @LIBPCRE_LIBS@
155 LIBS = @LIBS@
156 LTLIBOBJS = @LTLIBOBJS@
157 MAKEINFO = @MAKEINFO@
158 MKDIR_P = @MKDIR_P@
159 OBJEXT = @OBJEXT@
160 PACKAGE = @PACKAGE@
161 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
162 PACKAGE_NAME = @PACKAGE_NAME@
163 PACKAGE_STRING = @PACKAGE_STRING@
164 PACKAGE_TARNAME = @PACKAGE_TARNAME@
165 PACKAGE_URL = @PACKAGE_URL@
166 PACKAGE_VERSION = @PACKAGE_VERSION@
167 PATH_SEPARATOR = @PATH_SEPARATOR@
168 PKG_CONFIG = @PKG_CONFIG@
169 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
170 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
171 SET_MAKE = @SET_MAKE@
172 SHELL = @SHELL@
173 STRIP = @STRIP@
174 VERSION = @VERSION@
175 XML_CFLAGS = @XML_CFLAGS@
176 XML_LIBS = @XML_LIBS@
177 XSLTPROC = @XSLTPROC@
178 abs_builddir = @abs_builddir@
179 abs_srcdir = @abs_srcdir@
180 abs_top_builddir = @abs_top_builddir@
181 abs_top_srcdir = @abs_top_srcdir@
182 ac_ct_CC = @ac_ct_CC@
183 am__include = @am__include@
184 am__leading_dot = @am__leading_dot@
185 am__quote = @am__quote@
186 am__tar = @am__tar@
187 am__untar = @am__untar@
188 bindir = @bindir@
189 build_alias = @build_alias@
190 builddir = @builddir@
191 datadir = @datadir@
192 datarootdir = @datarootdir@
193 docdir = @docdir@
194 dvidir = @dvidir@
195 exec_prefix = @exec_prefix@
196 host_alias = @host_alias@
197 htmldir = @htmldir@
198 includedir = @includedir@
199 infodir = @infodir@
200 install_sh = @install_sh@
201 libdir = @libdir@
202 libexecdir = @libexecdir@
203 localedir = @localedir@
204 localstatedir = @localstatedir@
205 mandir = @mandir@
206 mkdir_p = @mkdir_p@
207 oldincludedir = @oldincludedir@
208 pdfdir = @pdfdir@
209 prefix = @prefix@
210 program_transform_name = @program_transform_name@
211 psdir = @psdir@
212 sbindir = @sbindir@
213 sharedstatedir = @sharedstatedir@
214 srcdir = @srcdir@
215 sysconfdir = @sysconfdir@
216 target_alias = @target_alias@
217 top_build_prefix = @top_build_prefix@
218 top_builddir = @top_builddir@
219 top_srcdir = @top_srcdir@
220 bin_SCRIPTS = \
221 bti-shrink-urls
222
223 bti_SOURCES = \
224 bti.h \
225 config.c \
226 bti.c
227
228 bti_CFLAGS = \
229 $(LIBCURL_CFLAGS) \
230 $(XML_CFLAGS) \
231 $(LIBPCRE_CFLAGS) \
232 $(LIBOAUTH_CFLAGS)
233
234 bti_LDADD = \
235 $(LIBCURL_LIBS) \
236 $(XML_LIBS) \
237 $(LIBPCRE_LIBS) \
238 $(LIBOAUTH_LIBS)
239
240 dist_man_MANS = \
241 bti.1 \
242 bti-shrink-urls.1
243
244 EXTRA_DIST = \
245 bti.xml \
246 bti-shrink-urls.xml \
247 bti.example \
248 bti-bashcompletion \
249 RELEASE-NOTES \
250 bti-shrink-urls
251
252 MAINTAINERCLEANFILES = \
253 $(dist_man_MANS)
254
255 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
256 AUTOMAKE_OPTIONS = foreign
257 all: all-am
258
259 .SUFFIXES:
260 .SUFFIXES: .c .o .obj
261 am--refresh:
262 @:
263 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
264 @for dep in $?; do \
265 case '$(am__configure_deps)' in \
266 *$$dep*) \
267 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
268 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
269 && exit 0; \
270 exit 1;; \
271 esac; \
272 done; \
273 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
274 $(am__cd) $(top_srcdir) && \
275 $(AUTOMAKE) --foreign Makefile
276 .PRECIOUS: Makefile
277 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
278 @case '$?' in \
279 *config.status*) \
280 echo ' $(SHELL) ./config.status'; \
281 $(SHELL) ./config.status;; \
282 *) \
283 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
284 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
285 esac;
286
287 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
288 $(SHELL) ./config.status --recheck
289
290 $(top_srcdir)/configure: $(am__configure_deps)
291 $(am__cd) $(srcdir) && $(AUTOCONF)
292 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
293 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
294 $(am__aclocal_m4_deps):
295 install-binPROGRAMS: $(bin_PROGRAMS)
296 @$(NORMAL_INSTALL)
297 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
298 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
299 for p in $$list; do echo "$$p $$p"; done | \
300 sed 's/$(EXEEXT)$$//' | \
301 while read p p1; do if test -f $$p; \
302 then echo "$$p"; echo "$$p"; else :; fi; \
303 done | \
304 sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
305 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
306 sed 'N;N;N;s,\n, ,g' | \
307 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
308 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
309 if ($$2 == $$4) files[d] = files[d] " " $$1; \
310 else { print "f", $$3 "/" $$4, $$1; } } \
311 END { for (d in files) print "f", d, files[d] }' | \
312 while read type dir files; do \
313 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
314 test -z "$$files" || { \
315 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
316 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
317 } \
318 ; done
319
320 uninstall-binPROGRAMS:
321 @$(NORMAL_UNINSTALL)
322 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
323 files=`for p in $$list; do echo "$$p"; done | \
324 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
325 -e 's/$$/$(EXEEXT)/' `; \
326 test -n "$$list" || exit 0; \
327 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
328 cd "$(DESTDIR)$(bindir)" && rm -f $$files
329
330 clean-binPROGRAMS:
331 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
332 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES)
333 @rm -f bti$(EXEEXT)
334 $(AM_V_CCLD)$(bti_LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
335 install-binSCRIPTS: $(bin_SCRIPTS)
336 @$(NORMAL_INSTALL)
337 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
338 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
339 for p in $$list; do \
340 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
341 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
342 done | \
343 sed -e 'p;s,.*/,,;n' \
344 -e 'h;s|.*|.|' \
345 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
346 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
347 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
348 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
349 if (++n[d] == $(am__install_max)) { \
350 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
351 else { print "f", d "/" $$4, $$1 } } \
352 END { for (d in files) print "f", d, files[d] }' | \
353 while read type dir files; do \
354 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
355 test -z "$$files" || { \
356 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
357 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
358 } \
359 ; done
360
361 uninstall-binSCRIPTS:
362 @$(NORMAL_UNINSTALL)
363 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
364 files=`for p in $$list; do echo "$$p"; done | \
365 sed -e 's,.*/,,;$(transform)'`; \
366 test -n "$$list" || exit 0; \
367 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
368 cd "$(DESTDIR)$(bindir)" && rm -f $$files
369
370 mostlyclean-compile:
371 -rm -f *.$(OBJEXT)
372
373 distclean-compile:
374 -rm -f *.tab.c
375
376 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti-bti.Po@am__quote@
377 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti-config.Po@am__quote@
378
379 .c.o:
380 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
381 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
382 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
383 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
384 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
385 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
386
387 .c.obj:
388 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
389 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
390 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
391 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
392 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
393 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
394
395 bti-config.o: config.c
396 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-config.o -MD -MP -MF $(DEPDIR)/bti-config.Tpo -c -o bti-config.o `test -f 'config.c' || echo '$(srcdir)/'`config.c
397 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/bti-config.Tpo $(DEPDIR)/bti-config.Po
398 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
399 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='config.c' object='bti-config.o' libtool=no @AMDEPBACKSLASH@
400 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
401 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-config.o `test -f 'config.c' || echo '$(srcdir)/'`config.c
402
403 bti-config.obj: config.c
404 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-config.obj -MD -MP -MF $(DEPDIR)/bti-config.Tpo -c -o bti-config.obj `if test -f 'config.c'; then $(CYGPATH_W) 'config.c'; else $(CYGPATH_W) '$(srcdir)/config.c'; fi`
405 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/bti-config.Tpo $(DEPDIR)/bti-config.Po
406 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
407 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='config.c' object='bti-config.obj' libtool=no @AMDEPBACKSLASH@
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
409 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-config.obj `if test -f 'config.c'; then $(CYGPATH_W) 'config.c'; else $(CYGPATH_W) '$(srcdir)/config.c'; fi`
410
411 bti-bti.o: bti.c
412 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-bti.o -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
413 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
414 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='bti.c' object='bti-bti.o' libtool=no @AMDEPBACKSLASH@
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
417 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
418
419 bti-bti.obj: bti.c
420 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-bti.obj -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
421 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
422 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='bti.c' object='bti-bti.obj' libtool=no @AMDEPBACKSLASH@
424 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
425 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
426 install-man1: $(dist_man_MANS)
427 @$(NORMAL_INSTALL)
428 test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
429 @list=''; test -n "$(man1dir)" || exit 0; \
430 { for i in $$list; do echo "$$i"; done; \
431 l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
432 sed -n '/\.1[a-z]*$$/p'; \
433 } | while read p; do \
434 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
435 echo "$$d$$p"; echo "$$p"; \
436 done | \
437 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
438 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
439 sed 'N;N;s,\n, ,g' | { \
440 list=; while read file base inst; do \
441 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
442 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
443 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
444 fi; \
445 done; \
446 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
447 while read files; do \
448 test -z "$$files" || { \
449 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
450 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
451 done; }
452
453 uninstall-man1:
454 @$(NORMAL_UNINSTALL)
455 @list=''; test -n "$(man1dir)" || exit 0; \
456 files=`{ for i in $$list; do echo "$$i"; done; \
457 l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
458 sed -n '/\.1[a-z]*$$/p'; \
459 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
460 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
461 test -z "$$files" || { \
462 echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
463 cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
464
465 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
466 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
467 unique=`for i in $$list; do \
468 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
469 done | \
470 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
471 END { if (nonempty) { for (i in files) print i; }; }'`; \
472 mkid -fID $$unique
473 tags: TAGS
474
475 TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
476 $(TAGS_FILES) $(LISP)
477 set x; \
478 here=`pwd`; \
479 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
480 unique=`for i in $$list; do \
481 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
482 done | \
483 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
484 END { if (nonempty) { for (i in files) print i; }; }'`; \
485 shift; \
486 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
487 test -n "$$unique" || unique=$$empty_fix; \
488 if test $$# -gt 0; then \
489 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
490 "$$@" $$unique; \
491 else \
492 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
493 $$unique; \
494 fi; \
495 fi
496 ctags: CTAGS
497 CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
498 $(TAGS_FILES) $(LISP)
499 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
500 unique=`for i in $$list; do \
501 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
502 done | \
503 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
504 END { if (nonempty) { for (i in files) print i; }; }'`; \
505 test -z "$(CTAGS_ARGS)$$unique" \
506 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
507 $$unique
508
509 GTAGS:
510 here=`$(am__cd) $(top_builddir) && pwd` \
511 && $(am__cd) $(top_srcdir) \
512 && gtags -i $(GTAGS_ARGS) "$$here"
513
514 distclean-tags:
515 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
516
517 distdir: $(DISTFILES)
518 @list='$(MANS)'; if test -n "$$list"; then \
519 list=`for p in $$list; do \
520 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
521 if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
522 if test -n "$$list" && \
523 grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
524 echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
525 grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
526 echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
527 echo " typically \`make maintainer-clean' will remove them" >&2; \
528 exit 1; \
529 else :; fi; \
530 else :; fi
531 $(am__remove_distdir)
532 test -d "$(distdir)" || mkdir "$(distdir)"
533 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
534 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
535 list='$(DISTFILES)'; \
536 dist_files=`for file in $$list; do echo $$file; done | \
537 sed -e "s|^$$srcdirstrip/||;t" \
538 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
539 case $$dist_files in \
540 */*) $(MKDIR_P) `echo "$$dist_files" | \
541 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
542 sort -u` ;; \
543 esac; \
544 for file in $$dist_files; do \
545 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
546 if test -d $$d/$$file; then \
547 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
548 if test -d "$(distdir)/$$file"; then \
549 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
550 fi; \
551 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
552 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
553 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
554 fi; \
555 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
556 else \
557 test -f "$(distdir)/$$file" \
558 || cp -p $$d/$$file "$(distdir)/$$file" \
559 || exit 1; \
560 fi; \
561 done
562 -test -n "$(am__skip_mode_fix)" \
563 || find "$(distdir)" -type d ! -perm -755 \
564 -exec chmod u+rwx,go+rx {} \; -o \
565 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
566 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
567 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
568 || chmod -R a+r "$(distdir)"
569 dist-gzip: distdir
570 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
571 $(am__remove_distdir)
572
573 dist-bzip2: distdir
574 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
575 $(am__remove_distdir)
576
577 dist-lzma: distdir
578 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
579 $(am__remove_distdir)
580
581 dist-xz: distdir
582 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
583 $(am__remove_distdir)
584
585 dist-tarZ: distdir
586 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
587 $(am__remove_distdir)
588
589 dist-shar: distdir
590 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
591 $(am__remove_distdir)
592
593 dist-zip: distdir
594 -rm -f $(distdir).zip
595 zip -rq $(distdir).zip $(distdir)
596 $(am__remove_distdir)
597
598 dist dist-all: distdir
599 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
600 $(am__remove_distdir)
601
602 # This target untars the dist file and tries a VPATH configuration. Then
603 # it guarantees that the distribution is self-contained by making another
604 # tarfile.
605 distcheck: dist
606 case '$(DIST_ARCHIVES)' in \
607 *.tar.gz*) \
608 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
609 *.tar.bz2*) \
610 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
611 *.tar.lzma*) \
612 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
613 *.tar.xz*) \
614 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
615 *.tar.Z*) \
616 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
617 *.shar.gz*) \
618 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
619 *.zip*) \
620 unzip $(distdir).zip ;;\
621 esac
622 chmod -R a-w $(distdir); chmod a+w $(distdir)
623 mkdir $(distdir)/_build
624 mkdir $(distdir)/_inst
625 chmod a-w $(distdir)
626 test -d $(distdir)/_build || exit 0; \
627 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
628 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
629 && am__cwd=`pwd` \
630 && $(am__cd) $(distdir)/_build \
631 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
632 $(DISTCHECK_CONFIGURE_FLAGS) \
633 && $(MAKE) $(AM_MAKEFLAGS) \
634 && $(MAKE) $(AM_MAKEFLAGS) dvi \
635 && $(MAKE) $(AM_MAKEFLAGS) check \
636 && $(MAKE) $(AM_MAKEFLAGS) install \
637 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
638 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
639 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
640 distuninstallcheck \
641 && chmod -R a-w "$$dc_install_base" \
642 && ({ \
643 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
644 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
645 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
646 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
647 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
648 } || { rm -rf "$$dc_destdir"; exit 1; }) \
649 && rm -rf "$$dc_destdir" \
650 && $(MAKE) $(AM_MAKEFLAGS) dist \
651 && rm -rf $(DIST_ARCHIVES) \
652 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
653 && cd "$$am__cwd" \
654 || exit 1
655 $(am__remove_distdir)
656 @(echo "$(distdir) archives ready for distribution: "; \
657 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
658 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
659 distuninstallcheck:
660 @$(am__cd) '$(distuninstallcheck_dir)' \
661 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
662 || { echo "ERROR: files left after uninstall:" ; \
663 if test -n "$(DESTDIR)"; then \
664 echo " (check DESTDIR support)"; \
665 fi ; \
666 $(distuninstallcheck_listfiles) ; \
667 exit 1; } >&2
668 distcleancheck: distclean
669 @if test '$(srcdir)' = . ; then \
670 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
671 exit 1 ; \
672 fi
673 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
674 || { echo "ERROR: files left in build directory after distclean:" ; \
675 $(distcleancheck_listfiles) ; \
676 exit 1; } >&2
677 check-am: all-am
678 check: check-am
679 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
680 installdirs:
681 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
682 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
683 done
684 install: install-am
685 install-exec: install-exec-am
686 install-data: install-data-am
687 uninstall: uninstall-am
688
689 install-am: all-am
690 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
691
692 installcheck: installcheck-am
693 install-strip:
694 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
695 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
696 `test -z '$(STRIP)' || \
697 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
698 mostlyclean-generic:
699
700 clean-generic:
701
702 distclean-generic:
703 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
704 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
705
706 maintainer-clean-generic:
707 @echo "This command is intended for maintainers to use"
708 @echo "it deletes files that may require special tools to rebuild."
709 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
710 clean: clean-am
711
712 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
713
714 distclean: distclean-am
715 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
716 -rm -rf ./$(DEPDIR)
717 -rm -f Makefile
718 distclean-am: clean-am distclean-compile distclean-generic \
719 distclean-local distclean-tags
720
721 dvi: dvi-am
722
723 dvi-am:
724
725 html: html-am
726
727 html-am:
728
729 info: info-am
730
731 info-am:
732
733 install-data-am: install-man
734
735 install-dvi: install-dvi-am
736
737 install-dvi-am:
738
739 install-exec-am: install-binPROGRAMS install-binSCRIPTS
740
741 install-html: install-html-am
742
743 install-html-am:
744
745 install-info: install-info-am
746
747 install-info-am:
748
749 install-man: install-man1
750
751 install-pdf: install-pdf-am
752
753 install-pdf-am:
754
755 install-ps: install-ps-am
756
757 install-ps-am:
758
759 installcheck-am:
760
761 maintainer-clean: maintainer-clean-am
762 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
763 -rm -rf $(top_srcdir)/autom4te.cache
764 -rm -rf ./$(DEPDIR)
765 -rm -f Makefile
766 maintainer-clean-am: distclean-am maintainer-clean-generic
767
768 mostlyclean: mostlyclean-am
769
770 mostlyclean-am: mostlyclean-compile mostlyclean-generic
771
772 pdf: pdf-am
773
774 pdf-am:
775
776 ps: ps-am
777
778 ps-am:
779
780 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
781
782 uninstall-man: uninstall-man1
783
784 .MAKE: install-am install-strip
785
786 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
787 clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
788 dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
789 distcheck distclean distclean-compile distclean-generic \
790 distclean-local distclean-tags distcleancheck distdir \
791 distuninstallcheck dvi dvi-am html html-am info info-am \
792 install install-am install-binPROGRAMS install-binSCRIPTS \
793 install-data install-data-am install-dvi install-dvi-am \
794 install-exec install-exec-am install-html install-html-am \
795 install-info install-info-am install-man install-man1 \
796 install-pdf install-pdf-am install-ps install-ps-am \
797 install-strip installcheck installcheck-am installdirs \
798 maintainer-clean maintainer-clean-generic mostlyclean \
799 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
800 tags uninstall uninstall-am uninstall-binPROGRAMS \
801 uninstall-binSCRIPTS uninstall-man uninstall-man1
802
803
804 %.1: %.xml
805 $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
806
807 git-clean:
808 rm -f Makefile.in
809
810 distclean-local:
811 rm -rf autom4te.cache
812
813 changelog:
814 @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
815 @ mv ChangeLog ChangeLog.tmp
816 @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
817 @ echo "============================================" >> ChangeLog
818 @ echo >> ChangeLog
819 @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog >> ChangeLog
820 @ echo >> ChangeLog
821 @ cat ChangeLog
822 @ cat ChangeLog.tmp >> ChangeLog
823 @ rm ChangeLog.tmp
824
825 git-release:
826 head -1 ChangeLog | grep -q "to v$(VERSION)"
827 head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
828 git commit -a -m "release $(VERSION)"
829 cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
830 git gc
831 git prune
832
833 # Tell versions [3.59,3.63) of GNU make to not export all variables.
834 # Otherwise a system limit (for SysV at least) may be exceeded.
835 .NOEXPORT:

  ViewVC Help
Powered by ViewVC 1.1.26